
/*
from color picker https://www.w3schools.com/colors/colors_picker.asp
nav/footer color - #222


font-family: 'Anton', sans-serif;
font-family: 'Karla', sans-serif;
*/

*	{
	font-family: 'Karla', sans-serif;
}


html	{
	scroll-behavior: smooth;
}

h1,
h2,
h3,
h4,
h5,
h6	{
	font-family: 'Anton', sans-serif;
	letter-spacing: 5px;
}

body 	{
	/*background-color: #f3f3f3;*/
	background-image: url("./../images/background.jpeg");
	background-repeat: no-repeat;
	background-position: center;
	background-size: cover;
	background-attachment: fixed;
	position: relative;
	min-height: 100vh;
	margin: 0;
	padding-bottom: 70px;
}

.index-bg 	{
	/*background-color: #f3f3f3;*/
	background-image: url("https://images.pexels.com/photos/531880/pexels-photo-531880.jpeg?auto=compress&cs=tinysrgb&dpr=3&h=750&w=1260");
	background-repeat: no-repeat;
	background-position: center;
	background-size: cover;
	background-attachment: fixed;
	position: relative;
	min-height: 100vh;
	margin: 0;
	padding-bottom: 70px;
}

a:hover 	{
	text-decoration: none;
}

.container 	{

}

.img-logo	{
	height: 30px;
	width: 30px;
	border-radius: 50%;
}

#title-page	{
	font-size: 2em;
	margin-top: 200px;
}

/*NAV STYLING*/
.nav-pos	{
	width: 100%;
	position: fixed;
	top: 0;
	z-index: 2;
	margin-top: 0;
	padding-top: 0: 
}

.nav-bg	{
	background-color: #222;
}

.icon-color	{
	color: white;
}

.nav-color	{
	color: white;
}

ul a:hover	{
	text-shadow: 0 0 10px white;
	color: gray; 
	-webkit-animation: heartBeat 1s;
    animation: heartBeat 1s;
}

/*END OF NAV STYLING*/

/*LANDING PAGE STYLING*/
#landing-img	{
	height: 50%;
	position: absolute;
	z-index: 2;
	border-radius: 15px;

	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	display: none;
}

.landing-title-text	{
	z-index: 1;
	position: absolute;
	margin: 0;
	font-size: 50px;

	top: 50%;
	left: 48%;
	transform: translate(-50%, -50%);
}

.icon-pos	{
	position: absolute;
	font-size: 3rem;
	color: #222;

	bottom: 15%;
	left: 50%;	
	transform: translate(-50%, 0);

}

.fa-chevron-down:hover	{
	text-shadow: 0 0 5px gray;
}

.icon-animate	{
	-webkit-animation: bounce 2s;
    animation: bounce 2s;
    animation-iteration-count: infinite;
}


a:hover + #landing-img {
	-webkit-animation: fadeIn 2s;
    animation: fadeIn 2s;
    animation-iteration-count: 1;
    display: block;
    z-index: 2;
}


/*END OF LANDING PAGE STYLING*/

/*HOME PAGE STYLING*/
.img-size	{
	width: 50%;
	border: 1px solid #ddd;
 	border-radius: 4px;
 	padding: 0;
 	margin-top: 200px;
}

.carousel-pos	{
	margin: 0 auto;
}

.mv-container	{
	opacity: .7;
}

.text-container	{
	overflow: hidden;
	height: 20vh;
}

.card:hover	p[class="text-content"]{
    -webkit-animation: moving 5s infinite;
    animation: moving 20s infinite;
}

@keyframes moving {
    from {transform: translateY(20px);}
    to {transform: translateY(-350px);}
}

.text-content p:before, #text-content p:after	{
	content: "end of page";
	margin: 0 20px;
} 

.mv-size	{
	border-radius: 10px;
}

.bg-dark	{
	border-radius: 10px 10px 0 0;
}

/*END OF HOME PAGE STYLING*/


/*ABOUT PAGE STYLING*/

.about-margin	{
	margin-top: 100px;
}
.about-img-container	{
	width: 100%;
	/*height: 50%;*/
	border: 1px solid #ddd;
 	border-radius: 50%;
 	padding: 0;

}

.img-raduis	{
	border-radius: 10px solid red;
}

.achieve-holder	{
	margin-left: 50%;
	background-color: rgba(153, 153, 153, .7);
	margin-top: 200px;
	padding: 15px;
	width: 75%;
	border-radius: 10px;
	letter-spacing: 5px;
	color: #222;
	transform: translate(-50%, 0);
}

.first-card,
.second-card,
.third-card	{
	margin-top: 300px;
}

.third-card	{
	margin-bottom: 200px;
}

.card-bg	{
	background-color: rgba(242, 242, 242, .2);
	width: 100%;
	margin: 0 auto;
	border-radius: 10px;
}

#sml-screen-about-history	{
	margin-top: 5%;
}
.bg-text {
	background-color: rgba(191, 191, 191, 0.5);
	border-radius: 5px;
}

.card-title	{
	letter-spacing: 5px;
}

#href-holder	{
	color: white;
	text-decoration: none;
}

.card-size-about	{
	width: 100%;
	height: 100%;
}


/*END OF ABOUT PAGE STYLING*/


/*START OF GALLERY STYLING*/

h3	{
	border: 1px solid #ddd;
 	border-radius: 10px;
 	padding: 0;
	background-color: rgba(102, 102, 102, .2);
	color: #f3f3f3
}

h2	{
	color: #f3f3f3
}

.folder-name	{
	font-family: 'Anton', sans-serif;
	letter-spacing: 5px;
	color: #222;

}

.folder-name:hover	{
	color: #f3f3f3;
	text-shadow: 2px 2px 5px black;
}

.section-B	{
	margin-top: 20%; 
}
.folder-margin	{
	text-align: center;
	margin: 20px;
}

.folder-img	{
	width: 100%;
	height: 100%;
}

#folder-img-size	{
	width: 100%;
	height: 100%;
}

.folder-title	{
	margin-top: 50%;
}

.carousel-size	{
	width: 80%;
	/*margin: to*/
	margin: 0 auto;
	border: 5px solid silver;
	border-radius: 10px;
}

#gallery-body	{
	position: relative;
}

#to-top	{
	/*float: left;*/
	bottom: 0;
	right: 0;
	position: fixed;
	z-index: 2;
	text-decoration: none;
	color: white;
	font-style: bold;
	padding: 10px;
}

#to-top:hover	{
	text-shadow: 0 0 10px black;
	color: gray; 
	-webkit-animation: rubberBand 1s;
    animation: rubberBand 1s;
}

li > img	{
	border-radius: 30%;
	background-color: none;
	padding: 0;
	margin: 0;
	transform: translate(0, -50%);
}	



/*MODAL effect*/
.modal-pos 	{
	width: 200%;
	height: 200%;
	transform: translate(-25%, 15%);	
	border-radius: 20px;
}

#img-modal-size	{
	width: 100%;
	height: 100%;
}

.modal-body-bg 	{
	background-color: #222;
	border-radius: 10px;
	padding-bottom: 20px;
	padding-left: 20px;
	padding-right: 20px;
}

.modal-button-pos	{
	margin-top: 0; 
	width: 5%;
	right: 1;
	/*transform: translate(50%, 0);*/
}
.modal.fadeIn{
  opacity:1;
}
.modal.fadeIn .modal-dialog {
   -webkit-transform: translate(0);
   -moz-transform: translate(0);
   transform: translate(0);
}

/*End MODAL effect*/
/*END OF GALLERY STYLING*/

/*CONTACT US */
.contact-info {
	margin-top: 20%;
	list-style-type: none;

}

.map-size	{
	padding: 20px;
	width: 100%;
	height: 100%;
}

.contact-body	{
	margin-top: 100px;
	background-color: rgba(255, 255, 255, 0.5);
	border-radius: 10px;
}

.button-style {
	background-color: #cccccc;
	border-radius: 2px;
}
/*FOOTER STYLING*/

.footer	{
	margin: 0;
	padding: 0;
	bottom: 0;
	text-align: center;
	color: white;
	width: 100%;
	position: absolute;
	background-color: #222;
}


#social-links	{
	height: 20px;
	width: 20px;
	border-radius: 10px;
	margin-right: 10px;
	word-spacing: 20px;
}

/*END OF FOOTER STYLING*/












/*media queries*/

/*small screeen*/
@media screen and (max-width: 420px)	{

		body 	{
		width: 100%;
	}

	h1,
	h2,
	h3,
	h4,
	h5,
	h6	{
		letter-spacing: 2px;
	}

	#section-a	{
		display: none;
	}

	#sml-screen-about-history	{
		text-align: justify;
	}

	/*LANDING PAGE STYLING*/
	#landing-img	{
		padding: 0;
		width: 100%
		/*margin-top: 50%;*/
	}

	.landing-title-text	{
		top: 63%;
		left: 3%;
		font-size: 2em;
		transform: translate(0, 0);
	}
	/*END OF LANDING PAGE STYLING*/

	/*MODAL PAGE STYLING*/

	.modal-pos 	{
		width: 100%;
		height: 100%;
		transform: translate(0, 50%);	
	}

	.modal-body{
		padding: 5px;
		margin: 0;
	}

 	/*END OF MODAL STYLING*/

 	.card-holder	{
		width: 100%;
		margin: 0 auto;
	}

	.first-card,
	.second-card,
	.third-card	{
		margin-left: 10px;
		margin-right: 10px;
	}

	.carousel-size	{
	width: 100%;
	}

	.map-size	{
	padding: 0;
	margin: 0;
	transform: scale(0.7, 0.7);
	}

	.contact-body	{
	transform: scale(0.9, 0.9);
	}

	.icon-pos	{
		text-align: center;
		left: 0;
		right: 0;
	}

	#landing-img 	{
		padding: 20px;
		border-radius: 50px;
	}

	.landing-title-text	{
		top: 1;
		left: 0;
		transform: translate(40%, -100%);
	}

}

/*medium screen*/
@media screen and (min-width: 421px) and (max-width: 960px)	{
	body 	{
		width: 100%;
	}

	/*LANDING PAGE STYLING*/

	.landing-title-text	{
		left: 0;
		transform: translate(70%, -50%);

	}
	/*END OF LANDING PAGE STYLING*/



	.about-img-container	{
 	margin-top: 50%;

	}

 	.card-holder	{
		width: 100%;
	}

	.first-card,
	.second-card,
	.third-card	{
		padding: 50px;	
		/*margin: 0 auto;*/
	}

	.map-size	{
		padding: 0;
		margin: 0;
		transform: scale(0.7, 0.7);
	}

	.contact-body	{
	transform: scale(0.9, 0.9);
	}

	.modal-pos 	{
		width: 150%;
		height: 150%;
		transform: translate(-16%, 50%);	
	}

	.modal-body{
		padding: 5px;
		margin: 0;
	}



	footer 	{
		width: 100%;
	}
}

/*large screen*/
@media screen and (min-width: 961px)	{

}